package com.izouma.nineth.enums;

/**
 * 活动收集兑换藏品类型
 * @author ZouYuHong
 */
public enum ActivityCollectionType {
    /**
     * 单藏品兑换类型
     */
    DEFAULT(0),
    /**
     * 全部藏品集齐可兑换
     */
    MANY_TO_MANY(1),
    /**
     * 单一藏品集齐可兑换
     */
    ONE_TO_MANY(2),

    /**
     * 集齐任意数量可兑换
     */
    ANY_TO_ONE(3),
    /**
     * 集齐指定数量+任意藏品可兑换
     */
    SOME_TO_ANY(4);

    private final Integer type;

    ActivityCollectionType(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }
}
